Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.configurableparser.tokens
Class FunctionToken

    java.lang.Object
      com.singularsys.jep.configurableparser.tokens.Token
          com.singularsys.jep.configurableparser.tokens.FunctionToken

All Implemented Interfaces:
  java.io.Serializable

    public class FunctionToken

extends Token

A token representing a function name.

See Also:
  Serialized Form

Constructor Summary
`FunctionToken(java.lang.String s, PostfixMathCommandI pfmc)`

Method Summary
`PostfixMathCommandI` | `getPfmc()`
`boolean` | `isFunction()`
`boolean` | `isImplicitMulRhs()` Whether identifies can appear on the rhs of implicit multiplication '2 x'.

Methods inherited from class com.singularsys.jep.configurableparser.tokens.Token
`equals, getColumnNumber, getLength, getLineNumber, getSource, hashCode, isBinary, isComment, isIdentifier, isNumber, isOperator, isPrefix, isString, isSuffix, isSymbol, isTerminal, isTernary, isWhiteSpace, setPosition, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctionToken

    public FunctionToken(java.lang.String s,
                         PostfixMathCommandI pfmc)

Method Detail

### getPfmc

    public PostfixMathCommandI getPfmc()

### isFunction

    public boolean isFunction()

  Overrides:
    `isFunction` in class `Token`

### isImplicitMulRhs

    public boolean isImplicitMulRhs()

  Whether identifies can appear on the rhs of implicit multiplication '2 x'.

  Overrides:
    `isImplicitMulRhs` in class `Token`
  Returns:
    true

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep